Bug 1479530 - [DNF] backport weak deps
[DNF] backport weak deps
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpm (Show other bugs)
7.5
Unspecified Unspecified
unspecified Severity unspecified
: pre-dev-freeze
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
: Reopened
Depends On:
Blocks: 1461652 1479531
  Show dependency treegraph
 
Reported: 2017-08-08 13:43 EDT by Daniel Mach
Modified: 2017-12-14 10:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-14 10:02:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2017-08-08 13:43:10 EDT
To achieve feature parity with the latest RPM in Fedora, DNF team needs weak deps backported to RHEL 7.
Comment 1 Daniel Mach 2017-11-10 02:57:48 EST

*** This bug has been marked as a duplicate of bug 1508538 ***
Comment 2 Panu Matilainen 2017-11-10 03:11:31 EST
Unduping, bug 1508538 is not the same at all.
Comment 3 Panu Matilainen 2017-11-10 03:17:24 EST
To clarify, bug 1508538 is merely about tag constants and ability to query. A full backport of weakdeps would consist at least of the following (in addition):
- ability to build packages with weak deps
- dependency generator support for weak deps
- include weak deps in installation ordering
- --enhances/--suggests etc query aliases 
- rpmdb indexes for the weak deps (although this is probably only required for rich deps)

Note You need to log in before you can comment on or make changes to this bug.